These docs are for v1.0.0. Click to read the latest docs for v2.0.0.

List all notes

Returns detail of all notes order by created_at desc

This API is paginated, only the first 100 items are returned by default. The client should then recursively call /notes/ by using returned pageCursor The pageCursor is valid for 1 minute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

If specified, the resource returns only notes created since given span of months (m), days (s), or hours (h). E.g. 6m | 10d | 24h | 1h

Cannot be combined with createdFrom, createdTo, dateFrom, or dateTo.

date
deprecated

Deprecated. Use "createdFrom" instead.

Cannot be combined with last.

date

If specified, the resource returns only notes created since given date

Cannot be combined with last.

date
deprecated

Deprecated. Use "createdTo" instead.

Cannot be combined with last.

date

If specified, the resource returns only notes created before or equal to the given date

Cannot be combined with last.

date

If specified, the resource returns only notes updated since given date

date

If specified, the resource returns only notes updated before or equal to the given date

string

If specified, the resource returns only notes by fulltext search

uuid

If specified, the resource returns only notes for specific feature ID or its descendants

uuid

If specified, the resource returns only notes for specific company ID

string

If specified, the resource returns only notes owned by a specific owner email

string

If specified, the resource returns only notes from a specific source origin. This is the unique string identifying the external system from which the data came.

string

If specified, the resource returns only notes that have been assigned any of the tags in the array. Cannot be combined with allTags.

string

If specified, the resource returns only notes that have been assigned all of the tags in the array. Cannot be combined with anyTag.

int32
1 to 2000
Defaults to 100

Page limit.

string

Page cursor to get next page of results

Headers
integer
enum
required

API version.

Allowed:
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/json; charset=utf-8